﻿@model FinnotechIdVerificationResult
@{
    ViewBag.Title = "نتیجه صحت سنجی کارت ملی " + Model.FullName;
}

@section head{
    <link href="~/Plugins/circful/css/jquery.circliful.css" />
}

<div class="card-box">
    @if (Model.Message.HasValue())
    {
        <div class="row">
            <div class="col-md-12">
                <p class="text-danger">@Model.Message</p>
            </div>
        </div>
    }
    <div class="row">
        <div class="col-md-12">
            <p>
                <label><span class="fa fa-address-book"></span> کد ملی: </label><span> @Model.NationalId</span><br />
                <label><span class="fa fa-calendar"></span> تاریخ تولد: </label><span> @Model.BirthDate</span><br />
                <label><span class="fa fa-user-secret"></span> وضعیت حیات: </label><span> @Model.DeathStatus</span>
            </p>
        </div>
        <div class="col-md-3">
            <label>درصد تشابه نام: </label><span> @Model.FirstName</span>
            <div id="FirstNameSimilarity"></div>
        </div>
        <div class="col-md-3">
            <label>درصد تشابه نام خانوادگی: </label><span> @Model.LastName</span>
            <div id="LastNameSimilarity"></div>
        </div>
        <div class="col-md-3">
            <label>درصد تشابه نام کامل: </label><span> @Model.FullName</span>
            <div id="FullNameSimilarity"></div>
        </div>
        <div class="col-md-3">
            <label>درصد تشابه نام پدر: </label><span> @Model.FatherName</span>
            <div id="FatherNameSimilarity"></div>
        </div>
    </div>
</div>

@section scripts{
    <script src="~/Plugins/circful/js/jquery.circliful.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var fatherNameSimilarity = @(Model.FatherNameSimilarity.HasValue ? Model.FatherNameSimilarity.ToString() : "0");
            var firstNameSimilarity = @(Model.FirstNameSimilarity.HasValue ? Model.FirstNameSimilarity.ToString() : "0");
            var fullNameSimilarity = @(Model.FullNameSimilarity.HasValue ? Model.FullNameSimilarity.ToString() : "0");
            var lastNameSimilarity = @(Model.LastNameSimilarity.HasValue ? Model.LastNameSimilarity.ToString() : "0");
            $('#FatherNameSimilarity').circliful({
                percent: fatherNameSimilarity,
            });
            $('#FirstNameSimilarity').circliful({
                percent: firstNameSimilarity,
            });
            $('#FullNameSimilarity').circliful({
                percent: fullNameSimilarity,
            });
            $('#LastNameSimilarity').circliful({
                percent: lastNameSimilarity,
            });
        });
    </script>
}